<resources>

	<!-- PokerAnalytics application theme -->
	<style name="PokerAnalyticsTheme" parent="Theme.MaterialComponents.NoActionBar">

		<item name="colorPrimary">@color/colorPrimary</item>
		<item name="colorPrimaryDark">@color/colorPrimaryDark</item>
		<item name="colorAccent">@color/colorAccent</item>
		<item name="colorControlHighlight">@color/green_transparent</item>
		<item name="android:windowBackground">@color/gray_dark</item>
		<item name="android:navigationBarColor">@color/colorPrimary</item>
		<item name="android:actionMenuTextColor">@color/white</item>
		<item name="colorControlNormal">@color/white</item>

		<item name="bottomNavigationStyle">@style/PokerAnalyticsTheme.BottomNavigationView</item>
		<item name="toolbarStyle">@style/PokerAnalyticsTheme.Toolbar</item>
		<item name="bottomAppBarStyle">@style/PokerAnalyticsTheme.BottomAppBar</item>
		<item name="editTextStyle">@style/PokerAnalyticsTheme.EditText</item>
		<item name="android:textViewStyle">@style/PokerAnalyticsTheme.TextView</item>
		<item name="alertDialogTheme">@style/PokerAnalyticsTheme.AlertDialog</item>
		<item name="chipStyle">@style/PokerAnalyticsTheme.Chip</item>
		<item name="tabStyle">@style/PokerAnalyticsTheme.TabLayout</item>

	</style>

	<!-- Defaults -->


	<!-- Bottom Bar -->

	<style name="PokerAnalyticsTheme.BottomNavigationView">
		<item name="itemIconTint">@color/bottom_navigation_item</item>
		<item name="itemTextColor">@color/bottom_navigation_item</item>
		<item name="android:background">@color/gray_darker</item>
	</style>


	<!-- Toolbar -->

	<style name="PokerAnalyticsTheme.Toolbar" parent="Widget.MaterialComponents.Toolbar">
		<item name="android:background">@color/gray_darker</item>
		<item name="titleTextColor">@color/white</item>
		<item name="titleTextAppearance">@style/PokerAnalyticsTheme.Toolbar.TitleAppearance</item>
	</style>

	<style name="PokerAnalyticsTheme.Toolbar.TitleAppearance">
		<item name="android:textSize">20sp</item>
		<item name="android:fontFamily">@font/roboto</item>
		<item name="titleTextColor">@color/white</item>
	</style>

	<style name="PokerAnalyticsTheme.Toolbar.ExpandedTitleAppearance">
		<item name="android:textSize">24sp</item>
		<item name="android:textColor">@color/white</item>
	</style>

	<style name="PokerAnalyticsTheme.Toolbar.CollapsedTitleAppearance">
		<item name="android:textSize">20sp</item>
		<item name="android:textColor">@color/white</item>
	</style>

	<style name="PokerAnalyticsTheme.Toolbar.Session" parent="ThemeOverlay.AppCompat.Dark.ActionBar">
		<item name="android:actionMenuTextColor">@color/green</item>
		<item name="titleTextAppearance">@style/PokerAnalyticsTheme.Toolbar.TitleAppearance</item>
	</style>

	<!-- Bottom App Bar -->

	<style name="PokerAnalyticsTheme.BottomAppBar" parent="Widget.MaterialComponents.BottomAppBar">
		<item name="backgroundTint">@color/gray_darker</item>
		<item name="android:colorPrimary">@color/white</item>
		<item name="android:titleTextColor">@color/white</item>
		<item name="popupTheme">@style/ThemeOverlay.AppCompat.Dark.ActionBar</item>
	</style>


	<!-- TextView -->

	<style name="PokerAnalyticsTheme.TextView">
		<item name="android:textColor">@color/white</item>
		<item name="android:fontFamily">@font/roboto</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.Title">
		<item name="android:textSize">22sp</item>
		<item name="android:textColor">@color/white</item>
		<item name="android:fontFamily">@font/roboto_bold</item>
		<item name="android:paddingTop">8dp</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.Header">
		<item name="android:textColor">@color/kaki_medium</item>
		<item name="android:maxLines">1</item>
		<item name="android:ellipsize">end</item>
		<item name="android:fontFamily">@font/roboto_bold</item>
		<item name="android:textSize">18sp</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.RowTitle">
		<item name="android:textSize">16sp</item>
		<item name="android:textColor">@color/white</item>
		<item name="android:fontFamily">@font/roboto</item>
		<item name="android:maxLines">1</item>
		<item name="android:ellipsize">end</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.RowValue">
		<item name="android:textSize">16sp</item>
		<item name="android:textColor">@color/kaki_lighter</item>
		<item name="android:fontFamily">@font/roboto</item>
		<item name="android:maxLines">1</item>
		<item name="android:ellipsize">end</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.RowInfo">
		<item name="android:textSize">12sp</item>
		<item name="android:textColor">@color/kaki_light</item>
		<item name="android:fontFamily">@font/roboto</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.RowStatsTitle">
		<item name="android:textSize">12sp</item>
		<item name="android:textColor">@color/white</item>
		<item name="android:fontFamily">@font/roboto_light</item>
		<item name="android:textAllCaps">true</item>
		<item name="android:maxLines">1</item>
		<item name="android:ellipsize">end</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.RowStatsValue">
		<item name="android:textSize">28sp</item>
		<item name="android:textColor">@color/white</item>
		<item name="android:fontFamily">@font/roboto_light</item>
		<item name="android:maxLines">1</item>
		<item name="android:ellipsize">end</item>
	</style>


	<!-- Graph legend -->

	<style name="PokerAnalyticsTheme.TextView.LegendTitle">
		<item name="android:textSize">24sp</item>
		<item name="android:textColor">@color/white</item>
		<item name="android:fontFamily">@font/roboto</item>
		<item name="android:maxLines">1</item>
		<item name="android:ellipsize">end</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.LegendSubtitle">
		<item name="android:textSize">12sp</item>
		<item name="android:textColor">@color/kaki_light</item>
		<item name="android:fontFamily">@font/roboto</item>
		<item name="android:maxLines">1</item>
		<item name="android:ellipsize">end</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.LegendStatsTitle">
		<item name="android:textSize">14sp</item>
		<item name="android:textColor">@color/white</item>
		<item name="android:fontFamily">@font/roboto_bold</item>
		<item name="android:textAllCaps">true</item>
		<item name="android:maxLines">1</item>
		<item name="android:ellipsize">end</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.LegendStatsValue">
		<item name="android:textSize">24sp</item>
		<item name="android:textColor">@color/white</item>
		<item name="android:fontFamily">@font/roboto_light</item>
		<item name="android:maxLines">1</item>
		<item name="android:ellipsize">end</item>
	</style>


	<!-- Bottom Sheet -->

	<style name="PokerAnalyticsTheme.TextView.BottomSheetValue">
		<item name="android:textSize">22sp</item>
		<item name="android:textColor">@color/white</item>
		<item name="android:fontFamily">@font/roboto</item>
	</style>

	<!-- Tabs -->
	<style name="PokerAnalyticsTheme.TabLayout" parent="Widget.MaterialComponents.TabLayout">
		<item name="android:background">@color/colorPrimary</item>
		<item name="tabTextColor">@color/gray_light</item>
		<item name="tabSelectedTextColor">@color/green</item>
		<item name="tabRippleColor">@color/green_transparent</item>
	</style>


	<!-- Session Row -->

	<style name="PokerAnalyticsTheme.TextView.SessionRow">
		<item name="android:textColor">@color/white</item>
		<item name="android:maxLines">1</item>
		<item name="android:ellipsize">end</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.SessionRow.Date">
		<item name="android:textSize">12sp</item>
		<item name="android:fontFamily">@font/roboto</item>
		<item name="android:letterSpacing">0.02</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.SessionRow.DateNumber">
		<item name="android:textSize">18sp</item>
		<item name="android:fontFamily">@font/roboto_black</item>
		<item name="android:letterSpacing">0.05</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.SessionRow.Title">
		<item name="android:textSize">16sp</item>
		<item name="android:fontFamily">@font/roboto</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.SessionRow.Subtitle">
		<item name="android:textSize">12sp</item>
		<item name="android:fontFamily">@font/roboto</item>
		<item name="android:textColor">@color/kaki_lighter</item>
	</style>

	<style name="PokerAnalyticsTheme.TextView.SessionRow.Result">
		<item name="android:textSize">20sp</item>
		<item name="android:fontFamily">@font/roboto_light</item>
		<item name="android:textColor">@color/green</item>
	</style>


	<!-- Button Row -->

	<style name="PokerAnalyticsTheme.TextView.ButtonRow">
		<item name="android:textColor">@color/colorAccent</item>
		<item name="android:maxLines">1</item>
		<item name="android:ellipsize">end</item>
		<item name="android:textAllCaps">true</item>
		<item name="android:fontFamily">@font/roboto_medium</item>
		<item name="android:textSize">16sp</item>
	</style>


	<!-- Alert Dialog -->

	<style name="PokerAnalyticsTheme.AlertDialog" parent="Theme.MaterialComponents.Dialog">
		<item name="colorAccent">@color/green</item>
		<item name="android:textColorPrimary">@color/white</item>
		<item name="android:windowBackground">@color/gray_dark</item>
	</style>


	<!-- EditText -->

	<style name="PokerAnalyticsTheme.EditText" parent="Widget.AppCompat.EditText">
		<item name="android:textColor">@color/white</item>
		<item name="android:fontFamily">@font/roboto</item>
		<item name="android:textColorHint">@color/white_transparent</item>
		<item name="android:textSize">20sp</item>
		<item name="android:paddingBottom">16dp</item>
	</style>


	<!-- Button -->

	<style name="PokerAnalyticsTheme.Button" parent="Widget.MaterialComponents.Button">
		<item name="iconPadding">0dp</item>
		<item name="android:height">48dp</item>
		<item name="iconTint">@color/black</item>
		<item name="android:letterSpacing">0</item>
		<item name="android:fontFamily">@font/roboto_medium</item>
		<item name="android:textColor">@color/black</item>
		<item name="android:paddingStart">4dp</item>
		<item name="android:paddingEnd">8dp</item>
		<item name="android:textSize">12sp</item>
	</style>

	<style name="PokerAnalyticsTheme.Button.Borderless" parent="Widget.MaterialComponents.Button">
		<item name="android:background">?selectableItemBackgroundBorderless</item>
		<item name="android:textColor">@color/green</item>
		<item name="android:fontFamily">@font/roboto_bold</item>
	</style>


	<!-- Chip -->

	<style name="PokerAnalyticsTheme.Chip" parent="Widget.MaterialComponents.Chip.Choice">
		<item name="chipBackgroundColor">@color/chips_background_states</item>
		<item name="android:textColor">@color/white</item>
		<item name="chipStrokeColor">@color/colorAccent</item>
		<item name="chipStrokeWidth">1dp</item>

	</style>

</resources>
